%undefine __cmake_in_source_build
%global framework kmediaplayer

Name:           kf5-%{framework}
Version:        5.115.0
Release:        1
Summary:        KDE Frameworks 5 Tier 3 module with interface for media player features

License:        MIT
URL:            https://invent.kde.org/frameworks/%{framework}

%global majmin %(echo %{version} | cut -d. -f1-2)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-kparts-devel >= %{majmin}
BuildRequires:  kf5-kxmlgui-devel >= %{majmin}
BuildRequires:  kf5-rpm-macros

BuildRequires:  qt5-qtbase-devel

%description
KDE Frameworks 5 Tier 3 module with plugin interfaces for media player features.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       kf5-kparts-devel >= %{majmin}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version}



%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
%make_build  -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot}  -C %{_target_platform}


%ldconfig_scriptlets

%files
%doc README.md
%license LICENSE
%{_kf5_libdir}/libKF5MediaPlayer.so.*
%{_kf5_datadir}/kservicetypes5/*.desktop

%files devel
%{_kf5_includedir}/KMediaPlayer/
%{_kf5_libdir}/libKF5MediaPlayer.so
%{_kf5_libdir}/cmake/KF5MediaPlayer/
%{_kf5_datadir}/dbus-1/interfaces/*.xml


%changelog
* Wed Mar 27 2024 peijiankang <peijiankang@kylinos.cn> - 5.115.0-1
- Update to upstream version 5.115.0

* Mon Jan 08 2024 haomimi <haomimi@uniontech.com> - 5.113.0-1
- Update to upstream version 5.113.0

* Thu Aug 03 2023 konglidong <konglidong@uniontech.com> - 5.108.0-1
- update to upstream version 5.108.0

* Mon Feb 27 2023 peijiankang <peijiankang@kylinos.cn> - 5.100.0-1
- update verison to 5.100.0

* Thu Jul 14 2022 misaka00251 <misaka00251@misakanet.cn> - 5.97.0-1
- Init package
